# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from enum import Enum
from azure.core import CaseInsensitiveEnumMeta


class ApiVersionParameter(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """ApiVersionParameter."""

    TWO_THOUSAND_TWENTY_TWO05_01 = "2022-05-01"
    TWO_THOUSAND_TWENTY_TWO08_01 = "2022-08-01"
    TWO_THOUSAND_TWENTY_TWO11_01 = "2022-11-01"


class CreatedByType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """The type of identity that created the resource."""

    USER = "User"
    APPLICATION = "Application"
    MANAGED_IDENTITY = "ManagedIdentity"
    KEY = "Key"


class DestinationType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Emission destination type."""

    AZURE_MONITOR = "AzureMonitor"


class EmissionType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Emission format type."""

    IPFIX = "IPFIX"


class IngestionType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """The ingestion type."""

    IPFIX = "IPFIX"


class ProvisioningState(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """The current provisioning state."""

    SUCCEEDED = "Succeeded"
    UPDATING = "Updating"
    DELETING = "Deleting"
    FAILED = "Failed"


class SourceType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Ingestion source type."""

    RESOURCE = "Resource"
